Wesnoth 1.5.5 on Windows 98 SE

Having trouble with the game? Report issues and get help here. Read this first!

Moderators: Forum Moderators, Developers

Forum rules
Before reporting issues in this section, you must read the following topic:
Post Reply
User avatar
Casual User
Posts: 475
Joined: March 11th, 2005, 5:05 pm

Wesnoth 1.5.5 on Windows 98 SE

Post by Casual User » November 2nd, 2008, 1:06 am

Good afternoon.

I finally managed to download version 1.5.5, install it and it... doesn't work.

More precisely, I get first the message:
"The LIBCAIRO-2.DLL file is linked to missing export GDI32.DLL:GetFontUnicodeRanges."

And then I am informed a file linked to BfW doesn't work. I see I'm not the only one it happenned to.

From the previous topic, I see little can be done on Windows ME. My question is the following:
1) Can anything be done on Windows 98 SE to fix the above problem
2) Does 1.4.5 have the same problem (I don't feel like downloading 120MB for a game that won't work for me... again).

Thank you in advance.

AI
Developer
Posts: 2394
Joined: January 31st, 2008, 8:38 pm

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by AI » November 2nd, 2008, 5:21 am

I do not believe wesnoth ever worked on the windows 9x line. (95, 98, ME)

I don't know if KernelEx will help, but that seems to be your only shot with your current OS.

SkeletonCrew
Developer
Posts: 787
Joined: March 31st, 2006, 6:55 am

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by SkeletonCrew » November 2nd, 2008, 9:32 am

AI wrote:I do not believe wesnoth ever worked on the windows 9x line. (95, 98, ME)
Wesnoth used to work on the 9x line, it broke when I added pango ;-)
AI wrote:I don't know if KernelEx will help, but that seems to be your only shot with your current OS.
KernelEx might indeed help.

User avatar
McShark
Posts: 76
Joined: March 19th, 2008, 10:41 pm

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by McShark » November 2nd, 2008, 2:03 pm

After installing KernelEx the game itself works. I've got four problems (1 solved, 1 ignorable and 2 problems) but the game is playable at least.
  1. Solved - but no problem of Win98 (Complaints about missing fontconfig and problems about fontcache in stderr.txt). Solved as described in this post, Environment was set by adding

    Code: Select all

    set FONTCONFIG_FILE=%WINDIR%\fonts.conf
    to autoexec.bat
  2. Ignorable, because no problem of win98: The game is very dark, if I click "Adjust Gamma" in Preferences-->Display the game chrases without anything about this in stderr.txt. There is no real solve yet: I just adjust my monitor (maximum gamma and higher brightness) if I play the game and reset it later on when I leave the game.
  3. If I choose Add-ons from main menu the first dialogue is not readable, there are only rectangles instead of the font (the next dialogue is fine). This only happens in Add-Ons dialogue for choosing the server and in language dialogue.
    stderr.txt wrote:GLib: Cannot convert message: Invalid byte sequence in conversion input
  4. Small problem (I think this is a side effect of Problem c): Language was set to English after installation and I cannot change the language (nothing happens when I try to)
If anybody has an idea what to do about c and d - I would luckily try the solution.
Attachments
fonts.conf.txt
Replace all occurrences of Win98 with the right folder - normally c:\Windows, rename the file to fonts.conf and put it in your windows folder.
(2.77 KiB) Downloaded 217 times

peet
Posts: 238
Joined: October 30th, 2006, 4:38 am
Location: Toronto
Contact:

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by peet » May 10th, 2009, 1:44 am

Had problems with 1.6.1 and 1.5.14 so I thought I'd look here to see if someone had the same problem. I'm running Windows 98 on an AMD Athlon 1800+ with 512 MB of ram with an Nvidia Geforce FX 5200 video card.
McShark wrote:After installing KernelEx the game itself works. I've got four problems (1 solved, 1 ignorable and 2 problems) but the game is playable at least.
I had the same problems and KernelEx now allows the game to run. But I also have the following problem:
McShark wrote:If I choose Add-ons from main menu the first dialogue is not readable, there are only rectangles instead of the font (the next dialogue is fine). This only happens in Add-Ons dialogue for choosing the server and in language dialogue.
I get this problem also, but it is not confined to the Add-on dialogue box. It also happens in the in-scenario character dialogue in mainline campaigns. I have tried Heir to the Throne, Son of the Black Eye, and Descent into Darkness, all with the same result.

I thought it might be that I didn't have the right fonts so I downloaded the DejaVu fonts which were referred to in another post. Also put the fonts.conf in my windows folder and added the line in the post above to autoexec.bat - still nothing. Also tried changing the filename to fonts.cfg in case that mattered - still nothing.

I play the game for the campaigns, so not being able to read the character dialogue is a game-killer for me. Which means I am going back to running my old install of 1.4.5 which works fine...

Any help would be appreciated.

Peet

peet
Posts: 238
Joined: October 30th, 2006, 4:38 am
Location: Toronto
Contact:

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by peet » June 5th, 2009, 10:16 pm

Any thoughts on this one? Still stuck. Version 1.7 has the same problem.

Molean
Posts: 157
Joined: July 25th, 2009, 7:11 pm

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by Molean » July 25th, 2009, 7:45 pm

Kernalex allowed 1.6.4 to run on my win98

But like peet, I am having issues with text in campaigns. All rectangles instead of characters. When I click on the "language" menu option, I get those same rectangles, including on the buttons. Looking exactly like is shown in this thread.

I tried the fonts.conf and the DejaVu fonts thing, just to make sure and they did not work.

Molean
Posts: 157
Joined: July 25th, 2009, 7:11 pm

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by Molean » July 30th, 2009, 7:26 pm

Noone at all is able or willing to help anyone with this problem?

Might someone at least tell me which version they made the switch at? What is the latest version of wesnoth where it still worked fine under win98?

Retech
Posts: 1
Joined: July 31st, 2009, 2:55 pm

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by Retech » July 31st, 2009, 3:00 pm

I have the same problem. I want to launch BfW 1.6a on Win98 and i have that "The LIBCAIRO-2.DLL file is linked to missing export GDI32.DLL:GetFontUnicodeRanges" error...

Any ideas what to do with that?

Edit: Okay, i downloaded version 1.2.1 (something like that) and it's working :)

Max
Posts: 1449
Joined: April 13th, 2008, 12:41 am

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by Max » July 31st, 2009, 5:05 pm

Retech wrote:I want to launch BfW 1.6a on Win98 and i have that "The LIBCAIRO-2.DLL file is linked to missing export GDI32.DLL:GetFontUnicodeRanges" error...

Any ideas what to do with that?
peet mentioned that 1.4.5 is working (with or without KernelEx?), i'd stick to this one - (1.2.1: feb. 2007, 1.4.5: sep. 2008).

User avatar
melinath
Posts: 1298
Joined: May 20th, 2009, 7:42 am

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by melinath » July 31st, 2009, 7:07 pm

Have you considered installing Ubuntu Jaunty? You can put it next to your Windows install if you want, or overwrite windows. I prefer it to Vista, I suspect it's even better compared to 98, it's really easy to install, and if my mother can use it, so can you. In other words, it's a better operating system, with the added advantage that you don't have to be stuck with massively older versions of Wesnoth. (As long as you add the correct repositories as explained on the wiki page.)

Molean
Posts: 157
Joined: July 25th, 2009, 7:11 pm

Re: Wesnoth 1.5.5 on Windows 98 SE

Post by Molean » August 1st, 2009, 4:50 pm

Is that a linux variant? How good is it at emulating windows other programs? Seems a bit much to install a whole OS for one game.

Either way, maybe a bit down the road, I need to get a CD burner. If not to install it (it may or may not need it) at least to free up enough hard drive space.

Max, your sure 1.4.5 is the latest that will work? It is working for me anyway. But I was wondering if there was a latter version or that was it.

Post Reply